Debian Bug report logs - #213397
must be recompiled against perl 5.8.1 otherwise it segfaults

version graph

Package: libapache-mod-perl; Maintainer for libapache-mod-perl is (unknown);

Reported by: ViCToRy <victory@piscue.com>

Date: Tue, 30 Sep 2003 06:48:02 UTC

Severity: grave

Tags: sid

Merged with 213411, 213414, 213575, 213613, 213974, 214052

Found in version 1.27-7

Fixed in version apache/1.3.28-1

Done: fabbione@fabbione.net (Fabio M. Di Nitto)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package apache. Full text and rfc822 format available.

Acknowledgement sent to ViCToRy <victory@piscue.com>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value high was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ViCToRy <victory@piscue.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: When i'm trying to reload apache with post-install script of phpwiki, it be broken
Date: Tue, 30 Sep 2003 08:35:25 +0200
Package: apache
Version: 1.3.27.1-3
Severity: high


/usr/sbin/apachectl: line 171: 17438 Segmentation fault      $HTTPD -t


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux central 2.4.23pre1 #1 Sat Aug 30 15:17:01 CEST 2003 i586
Locale: LANG=ca_ES@euro, LC_CTYPE=ca_ES@euro (ignored: LC_ALL set to ca_ES@euro)

Versions of packages apache depends on:
ii  apache-common                 1.3.27.1-3 Support files for all Apache webse
ii  debconf                       1.3.14     Debian configuration management sy
ii  dpkg                          1.10.15    Package maintenance system for Deb
ii  libc6                         2.3.2-8    GNU C Library: Shared libraries an
ii  libdb4.1                      4.1.25-6   Berkeley v4.1 Database Libraries [
ii  libexpat1                     1.95.6-6   XML parsing C library - runtime li
ii  libmagic1                     4.04-1     File type determination library us
ii  logrotate                     3.6.5-2    Log rotation utility
ii  mime-support                  3.23-1     MIME files 'mime.types' & 'mailcap
ii  perl [perl5]                  5.8.1-1    Larry Wall's Practical Extraction 

-- debconf information:
  apache/enable-suexec: false




Reply sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ViCToRy <victory@piscue.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 213397-done@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: ViCToRy <victory@piscue.com>, 213397-done@bugs.debian.org
Subject: Re: Bug#213397: When i'm trying to reload apache with post-install script of phpwiki, it be broken
Date: Tue, 30 Sep 2003 09:09:07 +0200 (CEST)
This is another duplicate of #206414 and #205592.

Documentation on how to report bugs can be found here:
http://www.debian.org/Bugs/Reporting

and how to set an appropriate severity here:
http://www.debian.org/Bugs/Developer#severities

Remeber always to check the current open bugs before reporting duplicates
here:

http://bugs.debian.org/cgi-bin/pkgreport.cgi?which=pkg&data=apache&archive=no

(specific for apache).

Fabio

On Tue, 30 Sep 2003, ViCToRy wrote:

> Package: apache
> Version: 1.3.27.1-3
> Severity: high
>
>
> /usr/sbin/apachectl: line 171: 17438 Segmentation fault      $HTTPD -t
>
>
> -- System Information:
> Debian Release: testing/unstable
> Architecture: i386
> Kernel: Linux central 2.4.23pre1 #1 Sat Aug 30 15:17:01 CEST 2003 i586
> Locale: LANG=ca_ES@euro, LC_CTYPE=ca_ES@euro (ignored: LC_ALL set to ca_ES@euro)
>
> Versions of packages apache depends on:
> ii  apache-common                 1.3.27.1-3 Support files for all Apache webse
> ii  debconf                       1.3.14     Debian configuration management sy
> ii  dpkg                          1.10.15    Package maintenance system for Deb
> ii  libc6                         2.3.2-8    GNU C Library: Shared libraries an
> ii  libdb4.1                      4.1.25-6   Berkeley v4.1 Database Libraries [
> ii  libexpat1                     1.95.6-6   XML parsing C library - runtime li
> ii  libmagic1                     4.04-1     File type determination library us
> ii  logrotate                     3.6.5-2    Log rotation utility
> ii  mime-support                  3.23-1     MIME files 'mime.types' & 'mailcap
> ii  perl [perl5]                  5.8.1-1    Larry Wall's Practical Extraction
>
> -- debconf information:
>   apache/enable-suexec: false
>
>
>
>

-- 
Our mission: make IPv6 the default IP protocol
"We are on a mission from God" - Elwood Blues

http://www.itojun.org/paper/itojun-nanog-200210-ipv6isp/mgp00004.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package apache. Full text and rfc822 format available.

Acknowledgement sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 213397@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: ViCToRy <victory@piscue.com>
Cc: control@bugs.debian.org, 213397@bugs.debian.org
Subject: Re: Bug#213397: When i'm trying to reload apache with post-install script of phpwiki, it be broken
Date: Tue, 30 Sep 2003 13:02:17 +0200 (CEST)
reopen 213397
reassign 213397 libapache-mod-perl
severity 213397 important
retitle 213397 must be recompiled against perl 5.8.1 otherwise it segfaults
stop
quit

On Tue, 30 Sep 2003, ViCToRy wrote:

> On Tue, Sep 30, 2003 at 09:09:07AM +0200, Fabio Massimo Di Nitto wrote:
> >
> > This is another duplicate of #206414 and #205592.
> >
> >
>
> I'm testing with conf of apache, and i found that when I desactivate
> perl module, apache works fine with php...

Ok now it makes more sence but the topic is totally out of context.
I have reopened the bug and gave to it a reasonable shape.

Fabio

-- 
Our mission: make IPv6 the default IP protocol
"We are on a mission from God" - Elwood Blues

http://www.itojun.org/paper/itojun-nanog-200210-ipv6isp/mgp00004.html



Bug reopened, originator not changed. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `apache' to `libapache-mod-perl'. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `grave'. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 213397 213411 213414. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 213397 213411 213414 213575. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 213397 213411 213414 213575 213613. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 213397 213411 213414 213575 213613 213974. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 213397 213411 213414 213575 213613 213974 214052. Request was from Fabio Massimo Di Nitto <fabbione@fabbione.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package libapache-mod-perl. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 213397@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 213397@bugs.debian.org
Subject: please upload
Date: Sun, 5 Oct 2003 23:27:07 +1000
Fabio,

Given that this is a grave bug, could you please spend less time
educating users about bug etiquette and more time uploading!
It's been open for 4+ days now and breaks apache completely.

Thanks
Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package libapache-mod-perl. Full text and rfc822 format available.

Acknowledgement sent to Matthew Wilcox <willy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 213397@bugs.debian.org (full text, mbox):

From: Matthew Wilcox <willy@debian.org>
To: Hamish Moffatt <hamish@debian.org>, 213397@bugs.debian.org
Subject: Re: Bug#213397: please upload
Date: Sun, 5 Oct 2003 14:43:35 +0100
On Sun, Oct 05, 2003 at 11:27:07PM +1000, Hamish Moffatt wrote:
> Given that this is a grave bug, could you please spend less time
> educating users about bug etiquette and more time uploading!
> It's been open for 4+ days now and breaks apache completely.

Be fair, Hamish.  This breakage was caused by perl changing, not by
apache, Fabbione has been working on uploading, it just came at an
exceptionally bad time since the 1.3.28 release and debconfiscation was
well in progress at the time it occurred.

As far as I'm aware, the new upload is scheduled for Monday.  You can
help test the new upload at
http://cvs.raw.no/cgi-bin/viewcvs.cgi/debian-apache/

-- 
"It's not Hollywood.  War is real, war is primarily not about defeat or
victory, it is about death.  I've seen thousands and thousands of dead bodies.
Do you think I want to have an academic debate on this subject?" -- Robert Fisk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package libapache-mod-perl. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #56 received at 213397@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Matthew Wilcox <willy@debian.org>
Cc: 213397@bugs.debian.org
Subject: Re: Bug#213397: please upload
Date: Sun, 5 Oct 2003 09:43:52 -0500
On Sun, Oct 05, 2003 at 02:43:35PM +0100, Matthew Wilcox wrote:
> On Sun, Oct 05, 2003 at 11:27:07PM +1000, Hamish Moffatt wrote:
> > Given that this is a grave bug, could you please spend less time
> > educating users about bug etiquette and more time uploading!
> > It's been open for 4+ days now and breaks apache completely.
> 
> Be fair, Hamish.  This breakage was caused by perl changing, not by
> apache, Fabbione has been working on uploading, it just came at an
> exceptionally bad time since the 1.3.28 release and debconfiscation was
> well in progress at the time it occurred.
> 
> As far as I'm aware, the new upload is scheduled for Monday.  You can
> help test the new upload at
> http://cvs.raw.no/cgi-bin/viewcvs.cgi/debian-apache/

Fair enough, I apologise if I caused offense. I thought this was serious
enough to warrant a special update rather than waiting almost a week.
I did find that a simple recompile of the current package with the
latest perl libraries results in a working system.

Admittedly I shouldn't be using unstable on a production system where I
can't afford this to break, but we all do it.

Does the breakage with the perl upgrade indicate that either the perl or
apache dependencies are/were incorrect?

thanks
Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package libapache-mod-perl. Full text and rfc822 format available.

Acknowledgement sent to Matthew Wilcox <willy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 213397@bugs.debian.org (full text, mbox):

From: Matthew Wilcox <willy@debian.org>
To: Hamish Moffatt <hamish@debian.org>
Cc: Matthew Wilcox <willy@debian.org>, 213397@bugs.debian.org
Subject: Re: Bug#213397: please upload
Date: Sun, 5 Oct 2003 16:15:04 +0100
On Sun, Oct 05, 2003 at 09:43:52AM -0500, Hamish Moffatt wrote:
> Fair enough, I apologise if I caused offense. I thought this was serious
> enough to warrant a special update rather than waiting almost a week.
> I did find that a simple recompile of the current package with the
> latest perl libraries results in a working system.

Yes, it does.  I think a bin NMU on x86 would actually solve the problem
of a billion duplicate bugs.

> Does the breakage with the perl upgrade indicate that either the perl or
> apache dependencies are/were incorrect?

My understanding is that the libperl ABI changed upstream.  I'm not
sure exactly what the perl maintainer is planning on doing about it.

-- 
"It's not Hollywood.  War is real, war is primarily not about defeat or
victory, it is about death.  I've seen thousands and thousands of dead bodies.
Do you think I want to have an academic debate on this subject?" -- Robert Fisk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#213397; Package libapache-mod-perl. Full text and rfc822 format available.

Acknowledgement sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 213397@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: Matthew Wilcox <willy@debian.org>, 213397@bugs.debian.org
Cc: Hamish Moffatt <hamish@debian.org>
Subject: Re: Bug#213397: please upload
Date: Mon, 6 Oct 2003 06:11:33 +0200 (CEST)
On Sun, 5 Oct 2003, Matthew Wilcox wrote:

> > Does the breakage with the perl upgrade indicate that either the perl or
> > apache dependencies are/were incorrect?
>
> My understanding is that the libperl ABI changed upstream.  I'm not
> sure exactly what the perl maintainer is planning on doing about it.

I have heard rumors on irc that it might change again anytime soon. I need
to have some info from the perl maintainer otherwise we will back to this
situation in a few days.

The packages are ready. I am preforming the last tests right today but
compressing a 2 weeks work in less than 4 days doesn't really make me
happy (considering i have been working with an average of 39 of fever).

Fabio

-- 
Our mission: make IPv6 the default IP protocol
"We are on a mission from God" - Elwood Blues

http://www.itojun.org/paper/itojun-nanog-200210-ipv6isp/mgp00004.html



Reply sent to fabbione@fabbione.net (Fabio M. Di Nitto):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ViCToRy <victory@piscue.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #71 received at 213397-close@bugs.debian.org (full text, mbox):

From: fabbione@fabbione.net (Fabio M. Di Nitto)
To: 213397-close@bugs.debian.org
Subject: Bug#213397: fixed in apache 1.3.28-1
Date: Mon, 06 Oct 2003 12:32:21 -0400
Source: apache
Source-Version: 1.3.28-1

We believe that the bug you reported is fixed in the latest version of
apache, which is due to be installed in the Debian FTP archive:

apache-common_1.3.28-1_i386.deb
  to pool/main/a/apache/apache-common_1.3.28-1_i386.deb
apache-dev_1.3.28-1_i386.deb
  to pool/main/a/apache/apache-dev_1.3.28-1_i386.deb
apache-doc_1.3.28-1_all.deb
  to pool/main/a/apache/apache-doc_1.3.28-1_all.deb
apache-perl_1.3.28-1_i386.deb
  to pool/main/a/apache/apache-perl_1.3.28-1_i386.deb
apache-ssl_1.3.28-1_i386.deb
  to pool/main/a/apache/apache-ssl_1.3.28-1_i386.deb
apache_1.3.28-1.diff.gz
  to pool/main/a/apache/apache_1.3.28-1.diff.gz
apache_1.3.28-1.dsc
  to pool/main/a/apache/apache_1.3.28-1.dsc
apache_1.3.28-1_i386.deb
  to pool/main/a/apache/apache_1.3.28-1_i386.deb
apache_1.3.28.orig.tar.gz
  to pool/main/a/apache/apache_1.3.28.orig.tar.gz
libapache-mod-perl_1.28-1_i386.deb
  to pool/main/a/apache/libapache-mod-perl_1.28-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 213397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio M. Di Nitto <fabbione@fabbione.net> (supplier of updated apache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 06 Oct 2003 07:58:37 +0200
Source: apache
Binary: libapache-mod-perl apache-perl apache-ssl apache apache-common apache-doc apache-dev
Architecture: source i386 all
Version: 1.3.28-1
Distribution: unstable
Urgency: low
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description: 
 apache     - Versatile, high-performance HTTP server
 apache-common - Support files for all Apache webservers
 apache-dev - Apache webserver development kit
 apache-doc - Apache webserver docs
 apache-perl - Versatile, high-performance HTTP server with Perl support
 apache-ssl - Versatile, high-performance HTTP server with SSL support
 libapache-mod-perl - Integration of perl with the Apache web server
Closes: 68978 90107 132060 136972 137541 141344 144964 146749 150543 150625 150646 150711 155750 158194 158391 158391 162395 173775 176083 182429 184366 197990 200511 205887 207453 208054 208842 209276 210041 211872 212812 213397 213411 213414 213575 213613 213815 213974 214052
Changes: 
 apache (1.3.28-1) unstable; urgency=low
 .
   * (Thom May)
     - Remove 016_fix_ia64_segfault
   * (Fabio M. Di Nitto)
     - New upstream releases (Closes: #210041)
     - libapache-mod-perl switched to use modules-config
     - No more attempts to fix users config will be done.
       Changes that should be done will be only suggested.
       (Closes: #205887, #136972, #162395)
     - Fixed mod_bandwith paths (Closes: #213815, #182429, #146749)
     - Got rid of /etc/apache{-perl,-ssl}/apache_not_to_be_run in favour
       of debconf.
     - Got rid of apacheconfig* in favour of modules-config and debconf
       (Closes: #207453, #209276, #68978, #90107, #132060, #158391, #173775)
       (Closes: #141344, #144964, #150543, #150625, #150711, #150646, #197990)
       (Closes: #155750, #158194, #158391, #176083, #184366, #137541, #208054)
       Thanks Joey H. it wouldn't be possible without you
     - Recompiled with new perl 5.8.1
       (Closes: #213397, #213411, #213414, #213575, #213613, #213974, #214052)
     - Cleaned apache-ssl.preinst (Closes: #212812)
     - Added AES support to apache-ssl (Closes: #211872)
     - Removed mod_fastcgi from apache-contrib source. It is non-free
     - Fixed apache{-ssl,-perl]}.config to check correct suexec path
       (Closes: #200511, #208842)
     - Removed ssl-certificate
     - I must thank here Brian "laotse" Knox for his support during
       this release cycle that avoided me a couple of tons of RTFM ;).
Files: 
 829fc2d42aaa26249d950a55a862776d 982 web optional apache_1.3.28-1.dsc
 bce9eca0f7f6b5c0772531578e56ffce 3016289 web optional apache_1.3.28.orig.tar.gz
 fba1ddf5300bd03761d0d23bf9aaf772 413479 web optional apache_1.3.28-1.diff.gz
 3b9b33d06f4c8e93a2dafdb711ed284c 1099534 doc optional apache-doc_1.3.28-1_all.deb
 7473fca1c1e380560c9ee738fbe917f2 357380 web optional apache_1.3.28-1_i386.deb
 10a299a04e810f4446cc45bd5f943391 404194 web optional apache-ssl_1.3.28-1_i386.deb
 9a710abbc406bc7a88330acd153e30f1 472044 web extra apache-perl_1.3.28-1_i386.deb
 ea268c8d07530d3ac30c9be4888318c2 1661192 devel extra apache-dev_1.3.28-1_i386.deb
 9acb6d8379f6727a5a194c4589245943 835944 web optional apache-common_1.3.28-1_i386.deb
 c715d276b5fbd1236bfbc301b3621c02 470820 web optional libapache-mod-perl_1.28-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/gZI9hCzbekR3nhgRArxMAJ9Y/w//pm9Tvdo3BIvSiv8sxjE+owCfc6qw
U2dlpMFJ0IpCKK/MLPWpOoE=
=p7PG
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:32:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.